Bug 870273 - coding errors in virsh man page
coding errors in virsh man page
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.4
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Jiri Denemark
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-25 22:30 EDT by yanbing du
Modified: 2013-02-21 02:11 EST (History)
8 users (show)

See Also:
Fixed In Version: libvirt-0.10.2-6.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 02:11:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description yanbing du 2012-10-25 22:30:14 EDT
Description of problem:
There's a 'POD ERRORS' item at the end of virsh man page:
#man virsh
...
SEE ALSO
       virt-install(1), virt-xml-validate(1), virt-top(1), virt-df(1), <http://www.libvirt.org/>

POD ERRORS
       Hey! The above document had some coding errors, which are explained below:

       Around line 730:
           Unterminated I<...> sequence

       Around line 771:
           Unterminated I<...> sequence

       Around line 2927:
           ’=item’ outside of any ’=over’

libvirt-0.10.2                    2012-10-23                          VIRSH(1)
(END) 
 

Version-Release number of selected component (if applicable):
libvirt-0.10.2-5.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.#man virsh
2.
3.
  
Actual results:


Expected results:
No such errors.

Additional info:
Comment 2 Jiri Denemark 2012-10-26 07:48:57 EDT
Fixed upstream by v1.0.0-rc1-18-g61299a1:

commit 61299a1c983a64c7e0337b94232fdd2d42c1f4f2
Author: Jiri Denemark <jdenemar@redhat.com>
Date:   Fri Oct 26 12:25:14 2012 +0200

    virsh: Fix POD syntax
    
    The first two hunks fix "Unterminated I<...> sequence" error and the
    last one fixes "’=item’ outside of any ’=over’" error.
Comment 3 Eric Blake 2012-10-26 10:20:21 EDT
I'm tired of this repeatedly happening.  We need to also fix the Makefile to grep for 'POD ERRORS' after creating the man page, and fail the build loudly at that point, rather than letting this sneak through.
Comment 4 Dave Allan 2012-10-26 10:55:36 EDT
(In reply to comment #3)
> I'm tired of this repeatedly happening.  We need to also fix the Makefile to
> grep for 'POD ERRORS' after creating the man page, and fail the build loudly
> at that point, rather than letting this sneak through.

Yeah, agreed these kinds of problems should not pop up at all.
Comment 5 Eric Blake 2012-10-26 12:07:54 EDT
(In reply to comment #3)
> I'm tired of this repeatedly happening.  We need to also fix the Makefile to
> grep for 'POD ERRORS' after creating the man page, and fail the build loudly
> at that point, rather than letting this sneak through.

https://www.redhat.com/archives/libvir-list/2012-October/msg01596.html
Comment 7 yuping zhang 2012-10-30 01:41:56 EDT
Verified this issue with libvirt-0.10.2-6.el6.x86_64.
#man virsh
...
LICENSE
       virsh is distributed under the terms of the GNU LGPL v2+.  This is free software; see the
       source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS
       FOR A PARTICULAR PURPOSE

SEE ALSO
       virt-install(1), virt-xml-validate(1), virt-top(1), virt-df(1), <http://www.libvirt.org/>

libvirt-0.10.2                    2012-10-29                          VIRSH(1)
Comment 9 yuping zhang 2012-10-30 03:20:11 EDT
Change the bug status to VERIFIED as comment 7.
Comment 10 errata-xmlrpc 2013-02-21 02:11:08 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html

Note You need to log in before you can comment on or make changes to this bug.